%define name plymouth-theme-pclinuxos
%define version 1.1.10
%define release %mkrel 3

Summary: Default Plymouth Theme for PCLinuxOS 2010
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.xz
License: GPL
Group: Graphics
URL: http://pclinuxos.com/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires(pre): plymouth
Requires(pre): bootsplash
Obsoletes: pclinuxos-theme < %{version}
Provides: pclinuxos-theme = %{version}-%{release}

%description
This package contains the PCLinuxOS plymouth theme with its
images and configuration for different resolution as well as
the the desktop background image.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%_datadir/plymouth/themes/PCLinuxOS
install -m 0644 PCLinuxOS.plymouth background.png box.png bullet.png entry.png lock.png pclinuxos.script progress_bar.png progress_box.png progress_box_background.png progress_box_edge.png suspend.png %{buildroot}%_datadir/plymouth/themes/PCLinuxOS

mkdir -p %{buildroot}%_datadir/mdk/backgrounds
install -m 0644 default.png %{buildroot}%_datadir/mdk/backgrounds

%clean
rm -rf $RPM_BUILD_ROOT


%pre
/usr/share/bootsplash/scripts/remove-theme

%posttrans
/usr/sbin/plymouth-set-default-theme PCLinuxOS
/usr/share/bootsplash/scripts/switch-themes PCLinuxOS


%files
%defattr(-,root,root)
%_datadir/plymouth/themes/PCLinuxOS
%_datadir/mdk/backgrounds

%changelog
* Wed Apr 25 2012 Neal <nealbrks0 at gmail dot com> 1.1.10-3pclos2012
- convert source to xz compression

* Sun May 29 2011 Texstar <texstar at gmail.com> 1.1.10-2pclos2011
- add new splash from Tim

* Thu May 26 2011 Texstar <texstar at gmail.com> 1.1.10-1pclos2011
- add message booting system and shutdown/restarting system

* Wed May 25 2011 Texstar <texstar at gmail.com> 1.1.9-6pclos2011
- fix progress bar

* Wed May 25 2011 Texstar <texstar at gmail.com> 1.1.9-5pclos2011
- update graphics for fun

* Wed Apr 07 2010 Texstar <texstar at gmail.com> 1.1.9-4pclos2010
- final graphics from Kori

* Sun Mar 07 2010 Texstar <texstar at gmail.com> 1.1.9-3pclos2010
- fix post scripts

* Sun Mar 07 2010 Texstar <texstar at gmail.com> 1.1.9-2pclos2010
- fix suspend png

* Wed Feb 10 2010 Texstar <texstar at gmail.com> 1.1.9-1pclos2010
- create package

